Get billogram events

​

If you need more than the 100 latest history events for a billogram, you may query the /api/v2/billogram_event resource.

You may only GET (list/search) from this resource by using field-based filtering where filter_type is set to "field", filter_field is set to "billogram_id", and filter_value is the id of the billogram you wish to get events from.

The list is sorted by creation time (created_at). By default, results are returned in ascending order starting with the oldest event as the first object (typically the BillogramCreated event), but you can change the ordering by using the order_direction query parameter together with order_field.

There is no way to perform a GET for a single event, since the events do not have any unique ids returned.

Query Parameters

  • The result page number to fetch. The first page has number 1 (one).

  • How many results to return per page. Setting this number too high may impact performance, we recommend values between 10 and 100.

  • Type of filtering to perform

  • Field to filter on when using field-based filtering. billogram_id is the only supported field.

  • Value to filter by when using field-based filtering. The value must be the id of the billogram you wish to get events from.

  • Name of the field to order the results by. created_at is the only supported field.

  • Whether to use ascending or descending ordering for the field specified.

Responses

  • application/json
  • application/json
  • application/json
Request Example for get/billogram_event
curl 'https://sandbox.billogram.com/api/v2/billogram_event?page=1&page_size=25' \
  --header 'Authorization: Basic username:password'
Billogram event list with multiple events
{
  "status": "OK",
  "data": [
    {
      "type": "BillogramCreated",
      "created_at": "2025-11-16 10:33:50",
      "event_uuid": "d271d194-4a6a-4fad-8c77-2771f4b3d99a",
      "data": {},
      "billogram_id": "HyU42a2"
    },
    {
      "type": "BillogramSent",
      "created_at": "2025-11-16 10:44:05",
      "event_uuid": "3d8727e0-acc6-441c-ae7a-1f0af9d9d1bc",
      "data": {
        "invoice_no": 29,
        "delivery_method": "Email",
        "scanning_central": false,
        "total_sum": 533,
        "remaining_sum": 533,
        "letter_id": "zI3NWZiMjU3ZjViNWU4ZgMjMyMTEwMQ98804ebc2170ddf4d085c01475ea489a",
        "delivery_redirected": false,
        "original_delivery_method": "Email",
        "url": "https://billogram.com/view/example-org-url-token",
        "recipient_url": "https://billogram.com/view/example-recipient-token",
        "recipient_overview_url": "https://billogram.com/overview/example-overview-token"
      },
      "billogram_id": "HyU42a2"
    },
    {
      "type": "Payment",
      "created_at": "2025-11-16 13:16:34",
      "event_uuid": "500c4eee-5245-4b65-a51d-02e89308ba5f",
      "data": {
        "payer_name": null,
        "amount": 533,
        "banking_amount": null,
        "payment_flags": [],
        "manual": true,
        "total_sum": 533,
        "remaining_sum": 0
      },
      "billogram_id": "HyU42a2"
    },
    {
      "type": "BillogramEnded",
      "created_at": "2025-11-17 07:29:39",
      "event_uuid": "e1a6b3ea-4898-4b87-94c5-f67bd6bc624e",
      "data": {
        "total_sum": 533,
        "remaining_sum": 0,
        "ended_reason": "paid"
      },
      "billogram_id": "HyU42a2"
    }
  ],
  "meta": {
    "total_count": 4
  }
}